{
  "dynamic": "strict",
  "properties": {
    "id": {
      "type": "long"
    },
    "user_id": {
      "type": "long"
    },
    "user_type": {
      "type": "long"
    },
    "content": {
      "type": "string",
      "analyzer": "gm_default_index",
      "search_analyzer": "gm_default_search"
    },
    "content_pre": {
      "type": "string",
      "index": "not_analyzed"
    },
    "good_click": {"type":"long"},
    //帖子内容
    "is_online": {
      "type": "boolean"
    },
    "status": {
      "type": "string"
    },
    "platform": {
      "type": "string"
    },
    "content_level": {
      "type": "string",
      "index": "not_analyzed"
    },
    "is_excellent": {
      "type": "boolean"
    },
    "create_time": {
      "type": "date",
      "format": "date_time_no_millis"
    },
    "last_modified": {
      "type": "date",
      "format": "date_time_no_millis"
    },
    "audit_time": {
      "type": "date",
      "format": "date_time_no_millis"
    },
    "tractate_score": {
      "type": "double"
    },
    "good_click_tractate_score": {
      "type": "double"
    },
    "tractate_tag_list": {
      "type": "long"
    },
    //标签列表
    "tractate_tag": {
      "type": "nested",
      "properties": {
        "id": {
          "type": "long"
        },
        "tag_name": {
          "type": "string",
          "index": "not_analyzed"
        },
        "recommend_type": {
          "type": "string",
          "index": "not_analyzed"
        },
        "tag_type": {
          "type": "string",
          "index": "not_analyzed"
        }
      }
    },
    "tractate_tag_name": {
      "type": "string",
      "analyzer": "gm_default_index",
      "search_analyzer": "gm_default_search"
    },
    "tractate_tag_name_content": {
      "type": "string",
      "analyzer": "gm_default_index",
      "search_analyzer": "gm_default_search"
    },
    //新标签
    "fresh_tractate_tag_list": {
      "type": "long"
    },
    "fresh_tractate_tag_name": {
      "type": "string",
      "analyzer": "gm_default_index",
      "search_analyzer": "gm_default_search"
    },
    "fresh_tractate_tag_name_content": {
      "type": "string",
      "analyzer": "gm_default_index",
      "search_analyzer": "gm_default_search"
    },
    //相关标签
    "post_time": {
      "type": "date",
      "format": "date_time_no_millis"
    },
    "author": {
      "type": "string",
      "index": "not_analyzed"
    },
    "is_video": {
      "type": "boolean"
    },
    "hot_score": {
      "type": "long"
    },
    "last_any_reply_time": {
      "type": "date",
      "format": "date_time_no_millis"
    },
    "is_office": {
      "type": "long"
    },
    //作者
    "content_keyword":{"type":"string","index":"not_analyzed"},
    "content_star_keyword":{"type":"string","index":"not_analyzed"},
    "content_star_first_keyword":{"type":"string","index":"not_analyzed"},
    "title_keyword":{"type":"string","index":"not_analyzed"},
    "has_service":{"type": "boolean"},  // 该帖子对应的标签和关键字有没有关联的美购
    "tags_v3": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 新标签
    "first_demands": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 1级诉求
    "second_demands": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 2级诉求
    "first_solutions": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 1级方式
    "second_solutions": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 2级方式
    "positions": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 部位
    "second_positions": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 二级部位
    "tagv3_ids": {"type": "long"}, //新标签id集合
    "first_demands_ids": {"type": "long"},
    "second_demands_ids": {"type": "long"},
    "first_solutions_ids": {"type": "long"},
    "second_solutions_ids": {"type": "long"},
    "first_positions_ids": {"type": "long"},
    "second_positions_ids": {"type": "long"},
    "first_classify_ids": {"type": "long"}, //新标签一级分类id集合
    "second_classify_ids": {"type": "long"}, //新标签二级分类id集合
    "first_classify_names": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, //新标签一级分类名称集合
    "second_classify_names": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"},//新标签二级分类名称集合
    "operators_add_tags":{"type":"long"},  //新标签中运营添加的词   EXCHANGE交易运营  COMMUNITY社区运营
    "channel_tags":{"type":"long"},  //渠道标签
    "channel_tags_names":{"type":"string","index":"not_analyzed"},  //渠道标签
    "anecdote_tags": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, //八卦标签名称
    "anecdote_tag_ids": {"type": "long"}, //八卦标签ID
    //最新互动时间
    "latest_interaction_time": {"type": "long"},
    "vote_num": {"type": "long"},
    "reply_num": {"type": "long"},
    "latest_create_or_reply_time": {"type": "long"},
    "create_time_epoch": {"type": "long"},
    "reply_vote_radd":{"type":"long"},
    "goodclick_rate_30":{"type":"long"},
    "pgc_type":{"type":"long"},//1：热点，2：科普，3：转化
    "is_need_guarantee": {"type":"boolean"}, //是否需要保量
    "content_simi_bol_show":{"type":"long"}, //当存在内容相同的帖子时 质量分低的会被置为False,质量分高的会被置为True false则被降到底部
    "keynote_sentence": {"type": "string","analyzer": "gm_default_index","search_analyzer": "gm_default_search"},
    "has_picture": {"type": "long"},
    "new_smr": {"type": "double"}, //最新的smart_rank分数
    "show_by_index": {"type":"long"}, //根据指标判断是否展示改帖子 0是正常展示  1不展示
    "search_new_smr": {"type": "double"}, //最新的搜索smart_rank分数
    "update_time_stratific": {"type":"long"},  //根据创建和修改时间30天为一个时间段  30-90天为一个时间段 90-365为一个时间段 365之后为一个时间段
    "new_goodclicks": {"type": "double"}, //最新的goodclick
    "has_video": {"type": "boolean"}
  }
}



